Subject: nlplug-findfs netlink socket buffer size

From: Cory Snyder <[email-masked]>
Date: Thu, 16 Mar 2023 14:18:09 +0000

Hi!

We ran into an issue with the nlplug-findfs netlink socket buffer size being too small when trying to boot Alpine 3.17 on an enterprise server with a lot of devices. The size of that buffer is currently 1MiB. I created a PR to make the size of that buffer configurable with a kernel parameter here:

https://gitlab.alpinelinux.org/alpine/mkinitfs/-/merge_requests/116

I'm wondering if we should also consider increasing the default size of that buffer? Perhaps to 5MiB (fwiw, I've confirmed that this is big enough on our HW). I suppose that some users who run on very resource-constrained hardware might have objections, but 5MiB seems like it would probably be ok even in those cases?

Thanks,

Cory Snyder